/* ---------- Container for the orbiting circles animation ---------- */
#circle-orbit-container {
  position: relative;
  top: 25px;
  left: 25px;
  height: 698px;
  width: 698px;
  margin: 0 auto;
}
.why-choose-circle {
  margin: 60px 0;
  position: relative;
}
/* ---------- Outer orbit - This is the circles closest to the central point ---------- */
#outer-orbit {
  position: absolute;
  top: 0;
  left: 0;
  height: 698px;
  width: 698px;
  border: 2px solid var(--white);
  border-radius: 100%;
  -webkit-animation: spin-right 120s linear infinite;
  animation: spin-right 120s linear infinite;
}

.outer-orbit-cirlces {
  position: absolute;
  top: 0;
  left: 50%;
  height: 130px;
  width: 130px;
  border-radius: 100%;
  background-color: var(--yellow);
  margin: -65px 0 0 -65px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.outer-orbit-cirlces p {
  animation: rotate_reverse 120s linear infinite;
}
.outer-orbit-cirlces.first {
  top: 12%;
  left: 87%;
}
.outer-orbit-cirlces.two {
  top: 88%;
  margin: -65px 0 0 -65px;
  left: 87%;
}

.outer-orbit-cirlces.three {
  top: 88%;
  left: 11%;
}

.outer-orbit-cirlces.four {
  top: 12%;
  margin: -65px 0 0 -65px;
  left: 11%;
}

/* ---------- Middle orbit - This is the circles second closest to the central point ---------- */
#middle-orbit {
  position: absolute;
  top: 0;
  left: 0;
  width: 492px;
  height: 492px;
  border: 2px solid var(--white);
  border-radius: 100%;
  margin: 103px 0 0 103px;
  -webkit-animation: rotate_reverse 100s linear infinite;
  animation: rotate_reverse 100s linear infinite;
}

/* ---------- Repeating styles for the inner orbiting circles ---------- */
.middle-orbit-cirlces {
  position: absolute;
  top: 0;
  left: 50%;
  height: 110px;
  width: 110px;
  border-radius: 100%;
  background-color: var(--yellow);
  margin: -55px 0 0 -55px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.middle-orbit-cirlces p {
  animation: spin-right 100s linear infinite;
}

.middle-orbit-cirlces.two {
  top: 50%;
  margin: -55px 0 0 -55px;
  left: 0%;
}

.middle-orbit-cirlces.three {
  top: 100%;
}

.middle-orbit-cirlces.four {
  top: 50%;
  margin: -55px 0 0 -55px;
  left: 100%;
}

#inner-orbit {
  position: absolute;
  top: 0;
  left: 0;
  width: 314px;
  height: 314px;
  border: 2px solid var(--white);
  border-radius: 100%;
  -webkit-animation: spin-right 80s linear infinite;
  animation: spin-right 80s linear infinite;
  margin: 200px 0 0 200px;
}

.inner-orbit-cirlces {
  position: absolute;
  top: 0;
  left: 50%;
  height: 90px;
  width: 90px;
  border-radius: 100%;
  background-color: var(--yellow);
  margin: -45px 0 0 -45px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.inner-orbit-cirlces {
  top: 14%;
  left: 84%;
}

.inner-orbit-cirlces p {
  animation: rotate_reverse 80s linear infinite;
}

.inner-orbit-cirlces.two {
  top: 86%;
  margin: -45px 0 0 -45px;
  left: 84%;
}

.inner-orbit-cirlces.three {
  top: 86%;
  left: 12%;
}

.inner-orbit-cirlces.four {
  top: 14%;
  margin: -45px 0 0 -45px;
  left: 12%;
}
.center-logo {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  margin: 40px 30px;
}
#circle-orbit-container p {
  font-size: 13px;
  font-weight: bold;
  color: var(--black);
  line-height: 16px;
  text-wrap: balance;
  padding: 0 6px;
}
/* .outer-orbit-cirlces::after {
  position: absolute;
  content: "";
  left: 0;
  background: url(../images/arrow-solar.svg) no-repeat;
  width: 15px;
  height: 8px;
} */
#outer-orbit::after,
#outer-orbit::before,
#middle-orbit::after,
#middle-orbit::before,
.sl-arrow::after,
.sl-arrow::before,
#inner-orbit::after,
#inner-orbit::before {
  position: absolute;
  content: "";
  left: 50%;
  background: url(../images/arrow-solar.svg) no-repeat;
  width: 20px;
  height: 12px;
  top: -7px;
  transform: rotate(270deg);
  -webkit-transform: rotate(270deg);
}
#outer-orbit::before,
.sl-arrow::before {
  top: 100%;
  /* bottom: -2px; */
  left: 50%;
  margin-top: -5px;
  transform: rotate(90deg);
  -webkit-transform: rotate(90deg);
}
.sl-arrow {
  position: absolute;
  width: 100%;
  height: 100%;
}
.sl-arrow::before,
.sl-arrow::after {
  top: 50%;
}
.sl-arrow::before {
  left: 0;
  margin-left: -12px;
  transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
}
.sl-arrow::after {
  left: 100%;
  transform: rotate(0deg);
  margin-left: -8px;
}
#middle-orbit::before {
  left: 14%;
  top: 12%;
  transform: rotate(400deg);
  -webkit-transform: rotate(400deg);
}
#middle-orbit::after {
  left: 30%;
}
#middle-orbit::after {
  left: 80%;
  top: 10%;
  transform: rotate(140deg);
  -webkit-transform: rotate(140deg);
}
#middle-orbit .sl-arrow::before {
  top: 79%;
  left: 10% !important;
}
#middle-orbit .sl-arrow::before {
  top: 80%;
  left: 10% !important;
  margin-left: -10px;
  transform: rotate(310deg);
  -webkit-transform: rotate(310deg);
}
#middle-orbit .sl-arrow::after {
  top: 80%;
  left: 87% !important;
  transform: rotate(217deg);
  margin: 0;
}
#inner-orbit::after {
  top: 100%;
  margin-top: -5px;
  transform: rotate(80deg);
  -webkit-transform: rotate(80deg);
}
@media (min-width: 768px) {
  .img-show-sm {
    display: none;
  }
}

/* ---------- Animation ---------- */
@-webkit-keyframes spin-right {
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes rotate_reverse {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(-360deg);
  }
}
@media (max-width: 992px) {
  #circle-orbit-container {
    height: 600px;
    width: 600px;
  }
  #outer-orbit {
    top: 0;
    left: 0;
    height: 558px;
    width: 558px;
  }
  .outer-orbit-cirlces {
    height: 100px;
    width: 100px;
    margin: -50px 0 0 -50px;
  }
  .outer-orbit-cirlces.four,
  .outer-orbit-cirlces.two {
    margin: -50px 0 0 -50px;
  }
  #middle-orbit {
    width: 392px;
    height: 392px;
    margin: 83px 0 0 83px;
  }
  #inner-orbit {
    width: 214px;
    height: 214px;
    margin: 178px 0 0 178px;
  }
  .center-logo {
    margin: 10px 10px;
    width: 100px;
    height: 100px;
  }
  .middle-orbit-cirlces {
    height: 90px;
    width: 90px;
  }
}
@media (max-width: 767.98px) {
  .center-logo {
    margin: 0;
  }
  #middle-orbit {
    width: 260px;
    height: 260px;
    margin: 45px 0 0 45px;
  }
  #inner-orbit {
    width: 150px;
    height: 150px;
    margin: 100px 0 0 100px;
  }
  .why-teepesec .why-choose-circle {
    transform: scale(0.8);
    margin: 0;
  }
  #circle-orbit-container {
    height: 350px;
    width: 350px;
  }
  #outer-orbit {
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
  }

  /* .center-logo {
    margin: 0px;
    width: 90px;
    height: 90px;
  } */
  #circle-orbit-container {
    position: relative;
    top: 0;
    left: 0;
  }

  /* solar  */
  #middle-orbit {
    width: 400px;
    height: 400px;
    margin: 70px 0 0 70px;
  }
  #inner-orbit {
    width: 250px;
    height: 250px;
    margin: 150px 0 0 150px;
  }
  #circle-orbit-container {
    height: 550px;
    width: 550px;
  }
}

@media (max-width: 575.98px) {
  .center-logo {
    margin: 0px;
    width: 84px;
    height: 84px;
  }
  .why-teepesec .why-choose-circle {
    transform: scale(0.89);
  }
  #circle-orbit-container {
    height: 330px;
    width: 330px;
  }
  #middle-orbit {
    width: 250px;
    height: 250px;
    margin: 40px 0 0 40px;
  }
  #inner-orbit {
    width: 150px;
    height: 150px;
    margin: 90px 0 0 90px;
  }
  #circle-orbit-container p {
    line-height: 14px;
  }
  .outer-orbit-cirlces,
  .middle-orbit-cirlces {
    transform: scale(0.7);
  }
  .inner-orbit-cirlces {
    transform: scale(0.6);
  }
  #middle-orbit::before {
    top: 9%;
  }
  #middle-orbit .sl-arrow::after {
    left: 84% !important;
  }
}
